import type { EditorView } from 'prosemirror-view';
import { type RendererItem } from "../ReactRenderer/index.js";
import { WidgetDescriptor } from "./WidgetDescriptor.js";
export declare abstract class ReactWidgetDescriptor extends WidgetDescriptor {
    protected renderItem?: RendererItem;
    abstract getDomElem(): HTMLElement;
    abstract renderReactElement(view: EditorView, getPos: () => number): React.ReactElement;
    remove(): void;
    protected renderWidget(): HTMLElement;
    protected createRenderItem(): RendererItem;
}
